This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 502688 - The dual head does not work on Thinkpad 200s laptop with GMA4500MHD if KMS enabled
The dual head does not work on Thinkpad 200s laptop with GMA4500MHD if KMS en...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
card_MobileIntelGM45ExpressChipset
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-26 19:06 EDT by Howard Ning
Modified: 2013-04-02 00:23 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-02 19:30:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (260.53 KB, text/plain)
2009-05-26 19:06 EDT, Howard Ning
no flags Details

  None (edit)
Description Howard Ning 2009-05-26 19:06:21 EDT
Created attachment 345544 [details]
Xorg.0.log

Description of problem:
First Plugin the display in the VGA socket of the laptop.
When KMS is enabled, I use graphics "display preference" to set the dual head. It gives an error "The selected configuration could not be found"
If I use :
xrandr --output LVDS1 --left-of VGA1
It does not do anything. Only the VGA display is on and the laptop's LVDS display is off not even mirror the VGA's display.
If I use 
xrandr --output LVDS1 --auto
It says: xrandr: cannot find crtc for output LVDS1
Nothing happens.
Here is my xrandr info:
Screen 0: minimum 320 x 200, current 1440 x 900, maximum 8192 x 8192
VGA1 connected 1440x900+0+0 (normal left inverted right x axis y axis) 410mm x 256mm
   1440x900       59.9*+
   1280x1024      75.0  
   1152x864       75.0  
   1024x768       75.1     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   640x480        72.8     75.0     66.7     60.0  
   720x400        70.1  
LVDS1 connected (normal left inverted right x axis y axis)
   1440x900       50.0  
DVI1 connected 1024x768+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1024x768       60.0* 
   800x600        60.3  
   640x480        59.9  
DVI2 connected 1024x768+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1024x768       60.0* 
   800x600        60.3  
   640x480        59.9  

When I turn off the KMS. It is working as normal.

Version-Release number of selected component (if applicable):
2.7.0-6

How reproducible:
Try to get dual head on

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Nothing happens

Expected results:
The dual happend should be on as normal

Additional info:
I have no xorg.conf
Comment 1 Bug Zapper 2009-06-09 12:36:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Matěj Cepl 2009-11-05 13:29:53 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 4 niklas.laxstrom+bro@gmail.com 2009-11-05 14:38:54 EST
I'm having a similar issue on up to date F11 on X200s, it's just another way around.

If I try to enable external display with
xrandr --auto OR xrandr --output VGA1 --auto
the result is:
xrandr: cannot find crtc for output VGA1

The workaround is to run these commands first.
jadetukka:~$ xrandr --output DVI1 --off
jadetukka:~$ xrandr --output DVI2 --off

After those I can use xrandr to enable external display in the normal way.

My xrandr output just in case (when I've done steps mentioned above):
Screen 0: minimum 320 x 200, current 1920 x 1080, maximum 8192 x 8192
VGA1 connected 1920x1080+0+0 (normal left inverted right x axis y axis) 531mm x 298mm
   1920x1080      59.9*+
   1024x768       60.0
   800x600        60.3     56.2
   640x480        60.0
LVDS1 connected 1440x900+0+0 (normal left inverted right x axis y axis) 261mm x 163mm
   1440x900       50.0*
DVI1 connected (normal left inverted right x axis y axis)
   1024x768       60.0
   800x600        60.3
   640x480        59.9
DVI2 connected (normal left inverted right x axis y axis)
   1024x768       60.0
   800x600        60.3
   640x480        59.9
Comment 5 Matěj Cepl 2009-11-08 16:12:02 EST
Reporter, any comments on comment 4, please?
Comment 6 niklas.laxstrom+bro@gmail.com 2009-11-30 12:10:55 EST
My problems disappeared after upgrading to F12
Comment 7 Jérôme Fenal 2009-11-30 13:43:00 EST
Same for me, F12 solved the issue, on x86_64 for me.
Comment 8 Matěj Cepl 2009-12-02 19:30:38 EST
Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.